---
title: Delete account or zone Load Balancer
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Load Balancers](https://developers.cloudflare.com/api/typescript/resources/load_balancers)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete account or zone Load Balancer

client.loadBalancers.delete(stringloadBalancerID, LoadBalancerDeleteParams {account\_id, zone\_id } params?, RequestOptionsoptions?): [LoadBalancerDeleteResponse](<https://developers.cloudflare.com/api/typescript/resources/load_balancers#(resource)%20load_balancers%20%3E%20(model)%20load_balancer_delete_response%20%3E%20(schema)>) {id }

DELETE/{accounts\_or\_zones}/{account\_or\_zone\_id}/load\_balancers/{load\_balancer\_id}

Delete a configured account or zone-scoped load balancer.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Load Balancers Account Write`

##### ParametersExpand Collapse

loadBalancerID: string

[Link to this property](<#(resource)%20load_balancers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20load_balancer_id%20%3E%20(schema)>)

<details>

<summary>

params: LoadBalancerDeleteParams {account\_id, zone\_id }

</summary>

account\_id?: string

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

<a href="#(resource)%20load_balancers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

zone\_id?: string

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

<a href="#(resource)%20load_balancers%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

LoadBalancerDeleteResponse {id }

</summary>

id?: string

<a href="#(resource)%20load_balancers%20%3E%20(model)%20load_balancer_delete_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers%20%3E%20(model)%20load_balancer_delete_response%20%3E%20(schema)>)

### Delete account or zone Load Balancer

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const loadBalancer = await client.loadBalancers.delete('699d98642c564d2e855e9661899b7252', {
  account_id: 'account_id',
});

console.log(loadBalancer.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "699d98642c564d2e855e9661899b7252"
  },
  "success": true
}
```